#!/bin/bash

# source package : http://prdownloads.sourceforge.net/xine/
# Packager : JP <jp.guillemin@free.fr>

soft='gxine'
softversion='0.5.7'
packageversion='1z32'

arch='i486'
cpu='i686'

buildir=$(pwd)
srcpkg="$buildir/$soft-$softversion.tar.bz2"
src="$buildir/$soft-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

cd $buildir
rm -rf $src
tar -xvf $srcpkg
rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest
chown -R root:root .
export CFLAGS="-O2 -march=$arch -mtune=$cpu"
#export PKG_CONFIG_PATH=/usr/lib/pkgconfig

cd $src

./configure --prefix=/usr \
--disable-lirc \
--disable-static \
--localstatedir=/var/lib \
--disable-integration-wizard \
--mandir=/usr/man \
--sysconfdir=/etc \
--with-browser-plugin \
--enable-defeat-screensaver-via-xtest

make GXINE_PLUGINPATH=/usr/lib/firefox/plugins
make install DESTDIR=$dest


( cd $dest
  find . | xargs file | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded
)
( cd $dest/usr/man
  find . -name "*.?" | xargs gzip -9
)

mkdir -p $dest/usr/doc/$soft-$softversion
cp -a \
  ABOUT-NLS AUTHORS COPYING CREDITS NEWS README TODO \
  doc \
  $dest/usr/doc/$soft-$softversion
# redundant
rm -rf $dest/usr/share/doc

cp -f $buildir/splash.png $dest/usr/share/gxine/pixmaps/


mkdir -p $dest/install
cat << "END" > $dest/install/slack-desc
     |-----handy-ruler------------------------------------------------------|
gxine: gxine (GTK+ media player based on Xine)
gxine:
gxine: Xine is a free multimedia player.  It plays back CDs, DVDs, and VCDs,
gxine: multimedia files, and multimedia streams over a network.
gxine:
gxine: Gxine is a GTK+ graphical user interface for the
gxine: Xine multimedia player.
gxine:
gxine:
gxine:
gxine:
END

cat << "END" > $dest/install/doinst.sh
(cd etc ; [ ! "$(grep "firefox" ld.so.conf)" ] && echo "/usr/lib/firefox/" >> ld.so.conf )
ldconfig
END

# Copy Desktop Entry (if exists)
if [ -f $buildir/$soft.desktop ]; then
	mkdir -p $dest/usr/share/applications
	cp -f $buildir/$soft.desktop $dest/usr/share/applications
fi


mkdir -p $dest/usr/src/$soft-$softversion
( cd $buildir
cp $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion/
)

cd $dest
makepkg -l y -c n $dest.tgz

